#disabled as ava module package not in Fedora yet
%global enable_tests 0
%global module_name p-is-promise

Name:           nodejs-%{module_name}
Version:        1.1.0
Release:        3%{?dist}
Summary:        Check if something is a promise

License:        MIT
URL:            https://github.com/sindresorhus/p-is-promise
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
BuildRequires:  npm(bluebird)
BuildRequires:  npm(xo)
%endif


%description
Check if something is a promise.

%prep
%autosetup -n package
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
xo && ava
%endif

%files
%doc readme.md 
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 13 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.1.0-2
- Mark the license file as %%license

* Thu Dec 22 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.1.0-1
- Initial packaging

